TR(1)

NAMN
tr — översätt eller radera tecken

SYNOPSIS
tr [FLAGGA]… STRÄNG1 [STRÄNG2]

BESKRIVNING

Översätt, pressa ihop och/eller ta bort tecken från standard in, skriv till standard ut. STRÄNG1 och STRÄNG2 anger vektorer av tecken VEKTOR1 och VEKTOR2 som styr åtgärderna.

-c, -C, --complement
    använd komplementet av VEKTOR1.

-d, --delete
    ta bort tecken i VEKTOR1, översätt inte

-s, --squeeze-repeats
    ersätt varje sekvens av ett upprepat tecken som är uppräknat i den sista angivna VEKTORn, med en ensam förekomst av det tecknet

-t, --truncate-set1
    hugg först av VEKTOR1 till längden hos VEKTOR2

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

VEKTORer anges som strängar av tecken. De flesta representerar sig själva. Följande sekvenser tolkas:

\NNN
    tecken med det oktala värdet NNN (1 till 3 oktala siffror)

\\  omvänt snedstreck

\a  ljudsignal

\b  backsteg

\f  sidmatning

\n  nyrad

\r  vagnretur

\t  horisontell tabulator

\v  vertikal tabulator

TECK1-TECK2
    alla tecken från TECK1 till TECK2 i stigande ordning

[TECK*]
    i VEKTOR2, repetera TECK upp till längden av VEKTOR1

[TECK*REP]
    REP kopior av TECK, REP är oktalt om det startar med 0

[:alnum:]
    alla bokstäver och siffror

[:alpha:]
    alla bokstäver

[:blank:]
    alla horisontella blanka

[:cntrl:]
    alla styrtecken

[:digit:]
    alla siffror

[:graph:]
    alla skrivbara tecken, ej blanka

[:lower:]
    alla gemena bokstäver

[:print:]
    alla skrivbara tecken, inklusive mellanrum

[:punct:]
    alla tecken för interpunktion

[:space:]
    alla horisontella och vertikala blanka

[:upper:]
    alla versala bokstäver

[:xdigit:]
    alla hexadecimala siffror

[=TECKEN=]
    alla tecken som är lika med TECKEN

Översättning sker om -d inte ges och både STRÄNG1 och STRÄNG2 finns. -t är endast meningsfullt vid översättning. VEKTOR2 förlängs till längden av VEKTOR1 genom att dess sista tecken upprepas vid behov. Överflödiga tecken i VEKTOR2 ignoreras. Teckenklasser expanderas i odefinierad ordning; vid översättning kan [:lower:] och [:upper:] användas i par för att ange skiftlägesändring. Sammanpressning sker efter översättning eller borttagning.

FEL

Fullständigt stöd är tillgängligt endast för säkra enkelbytelokaler, där varje möjlig indatabyte representerar ett enskilt tecken. Lokalen C är säker på GNU-system, så man kan undvika detta problem i skalet genom att köra LC_ALL=C tr istället för bara tr.

UPPHOVSMAN
Skrivet av Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/tr>
eller tillgängligt lokalt via: info '(coreutils) tr invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.